EDIT - feature request #8153

Adapt cdmlib to FeatureNode/FeatureTree model changes
02/28/2019 01:30 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 70%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal

Description

¢ Since the introduction of term trees with the last model change (5.6.0) FeatureNode.getFeature() is deprecated and could lead
to potential ClassCastExceptions. The usages of this method should be inspected and corrected.
¢ Reflect the termType of term trees where possible

Related issues:
Related to EDIT - feature request #8146: Adapt taxeditor Ul to structure and ... Closed

Associated revisions

Revision cc0fa0Obe - 02/28/2019 01:35 PM - Patrick Plitzner
ref #8153 Adapt cdmlib to model changes

e Add constructor for creating a FeatureNode for a given termType
o Adjust feature node service to model changes

Revision cb9ebcd2 - 02/28/2019 04:09 PM - Patrick Plitzner
ref #8153 Further adapt cdmlib to model changes
e Adjust feature node service to model changes

Revision 983949ab - 02/28/2019 04:47 PM - Patrick Plitzner

ref #8153 Fix feature tree type check for distinct features

Revision 6ae3aa93 - 04/03/2019 05:47 PM - Andreas Miiller
ref #8153 adapt ColumnAdder and ColumnTypeChanger to handle NOT NULL correctly for auditing tables

Revision 291febb1 - 04/15/2019 03:53 PM - Patrick Plitzner
ref #8153 Adapt cdmlib to model changes

e Add constructor for creating a FeatureNode for a given termType
¢ Adjust feature node service to model changes

Revision 9779f8dc - 04/15/2019 03:53 PM - Patrick Plitzner
ref #8153 Further adapt cdmlib to model changes

e Adjust feature node service to model changes

Revision f61c00e5 - 04/15/2019 03:53 PM - Patrick Plitzner

ref #8153 Fix feature tree type check for distinct features

Revision 4e55f365 - 04/15/2019 03:53 PM - Andreas Miiller
ref #8153 adapt ColumnAdder and ColumnTypeChanger to handle NOT NULL correctly for auditing tables

History

#1 - 02/28/2019 01:33 PM - Patrick Plitzner

- Subject changed from Clean up usage of deprecated FeatureNode.getFeature() to Adapt cdmlib to FeatureNode/Feature Tree model changes
- Description updated

#2 - 03/22/2019 06:28 PM - Andreas Miiller
- Status changed from New to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

is this still an open issue? If yes, can you give more inside?

#3 - 03/25/2019 10:12 AM - Patrick Plitzner

By introducing the generics this is probably done. There is still some code which does not use/specify generics but this canbe adapted if necessary.
Should we close this?

#4 - 03/25/2019 10:12 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#5 - 04/03/2019 05:56 PM - Andreas Miiller
- Related to feature request #8146: Adapt taxeditor Ul to structure and property term type added

#6 - 04/03/2019 06:58 PM - Andreas Miiller
- Status changed from Feedback to Resolved
- Assignee changed from Andreas Mtiller to Katja Luther

- % Done changed from 0 to 70

from my side we can close it, but | didn't check full code.
Patrick, could you still add "open issues" if you know where something is still missing.

However, this is not critical as Generics are only developping convenience here.

Katja, can you have a look on it and close if you think it is correct.

#7 - 04/05/2019 09:22 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Patrick Plitzner

| had a look on the changesets and it looks ok, so | close this ticket. For the generics we can open a new ticket.
